/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file music.cpp
 * \brief Implementation of the bear::audio::music class.
 * \author Julien Jorge
 */
#include "audio/music.hpp"
#include <claw/logger.hpp>

/*----------------------------------------------------------------------------*/
/**
 * \brief Destructor.
 */
bear::audio::music::~music()
{

} // music::~music()

/*----------------------------------------------------------------------------*/
/**
 * \brief Start to play the music.
 */
void bear::audio::music::play()
{

} // music::play()

/*----------------------------------------------------------------------------*/
/**
 * \brief Stop the music.
 */
void bear::audio::music::stop()
{

} // music::stop()

/*----------------------------------------------------------------------------*/
/**
 * \brief Set the volume of the music.
 * \param v The volume.
 */
void bear::audio::music::set_volume( double v )
{

} // music::set_volume()
